﻿<UserControl x:Class="Tpig.Together.Applets.Popups.SamplePopupControl"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:be="http://schemas.microsoft.com/xaml/behaviors"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
             xmlns:kb="clr-namespace:Tpig.Components.SoftKeyboards;assembly=Tpig.Components.SoftKeyboards"
             mc:Ignorable="d" 
             d:DesignHeight="500" d:DesignWidth="500">
    <UserControl.Resources>
        <ResourceDictionary>
            <ResourceDictionary.MergedDictionaries>
                <ResourceDictionary Source="/Tpig.Together.Applets;component/Locales/Lang-Ui.xaml"/>
                <ResourceDictionary Source="/Tpig.Together.Applets;component/Styles/Styles.xaml"/>
            </ResourceDictionary.MergedDictionaries>
        </ResourceDictionary>
    </UserControl.Resources>

    <Grid>
        <Grid Background="#88333333"/>
        <DockPanel VerticalAlignment="Center" HorizontalAlignment="Center" Width="240">
            <DockPanel.Resources>
                <Style TargetType="TextBlock">
                    <Setter Property="Foreground" Value="White"/>
                </Style>
            </DockPanel.Resources>

            <StackPanel DockPanel.Dock="Top" Orientation="Vertical" Margin="0,0,0,8">
                <TextBlock Text="{DynamicResource Ui_Text_Text1}"/>
                <TextBox Name="Text1">
                    <be:Interaction.Behaviors>
                        <kb:SoftKeyboardBehavior SoftKeyboardType="International"/>
                    </be:Interaction.Behaviors>
                </TextBox>
            </StackPanel>

            <StackPanel DockPanel.Dock="Top" Orientation="Vertical" Margin="0,0,0,8">
                <TextBlock Text="{DynamicResource Ui_Text_Text2}"/>
                <PasswordBox MaxLength="16" Name="Text2">
                    <be:Interaction.Behaviors>
                        <kb:SoftKeyboardBehavior SoftKeyboardType="International"/>
                    </be:Interaction.Behaviors>
                </PasswordBox>
            </StackPanel>

            <DockPanel DockPanel.Dock="Bottom" Margin="0,8,0,0">
                <Button DockPanel.Dock="Left" IsDefault="True" Content="{DynamicResource Ui_Ok}" Click="Ok"/>
                <Button DockPanel.Dock="Right" IsCancel="True" Content="{DynamicResource Ui_Cancel}" Click="Cancel"/>
                <Grid/>
            </DockPanel>
        </DockPanel>
    </Grid>
</UserControl>
